| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
App1AppInstance_t Struct Reference

`#include <App1_types.h>`

Collaboration diagram for App1AppInstance_t:

## Data Fields
struct {
uint8 appId
event_t smLWEvent
semaphore_t outputBufferLock
} | instance
struct {
SensorInfo_t AccelerometerInfo_Sub0
SensorInfo_t AccelerometerInfo_Sub1
SensorInfo_t AccelerometerInfo_Sub2
SensorInfo_t AccelerometerInfo_Sub3
SensorInfo_t AccelerometerInfo_Sub4
SensorInfo_t AccelerometerInfo_Sub5
SensorInfo_t AccelerometerInfo_Sub6
SensorInfo_t AccelerometerInfo_Sub7
SensorInfo_t MagnetometerInfo_Sub8
SensorInfo_t MagnetometerInfo_Sub9
SensorInfo_t GyrometerInfo_Sub10
SensorInfo_t GyrometerInfo_Sub11
SensorInfo_t PressureInfo_Sub12
SensorInfo_t TemperatureInfo_Sub13
SensorInfo_t OrientationInfo_Sub14
SensorInfo_t AltitudeInfo_Sub15
SensorInfo_t PedometerInfo_Sub16
SensorInfo_t PedometerInfo_Sub17
SensorInfo_t CustomInfo_Sub18
SensorInfo_t AnalogInfo_Sub19
} | info
App1AppSettings_t | settings
struct {
isf_fifo_t AccelerometerDataFifo_Sub0
isf_fifo_t AccelerometerDataFifo_Sub1
isf_fifo_t AccelerometerDataFifo_Sub2
isf_fifo_t AccelerometerDataFifo_Sub3
isf_fifo_t AccelerometerDataFifo_Sub4
isf_fifo_t AccelerometerDataFifo_Sub5
isf_fifo_t AccelerometerDataFifo_Sub6
isf_fifo_t AccelerometerDataFifo_Sub7
isf_fifo_t MagnetometerDataFifo_Sub8
isf_fifo_t MagnetometerDataFifo_Sub9
isf_fifo_t GyrometerDataFifo_Sub10
isf_fifo_t GyrometerDataFifo_Sub11
isf_fifo_t PressureDataFifo_Sub12
isf_fifo_t TemperatureDataFifo_Sub13
isf_fifo_t OrientationDataFifo_Sub14
isf_fifo_t AltitudeDataFifo_Sub15
isf_fifo_t PedometerDataFifo_Sub16
isf_fifo_t PedometerDataFifo_Sub17
isf_fifo_t CustomDataFifo_Sub18
isf_fifo_t AnalogDataFifo_Sub19
} | fifos
App1SensorData_t | data

## Detailed Description

Definition at line 223 of file App1_types.h.

## Field Documentation

isf_fifo_t AccelerometerDataFifo_Sub0

Definition at line 253 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

isf_fifo_t AccelerometerDataFifo_Sub1

Definition at line 254 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

isf_fifo_t AccelerometerDataFifo_Sub2

Definition at line 255 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

isf_fifo_t AccelerometerDataFifo_Sub3

Definition at line 256 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

isf_fifo_t AccelerometerDataFifo_Sub4

Definition at line 257 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

isf_fifo_t AccelerometerDataFifo_Sub5

Definition at line 258 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

isf_fifo_t AccelerometerDataFifo_Sub6

Definition at line 259 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

isf_fifo_t AccelerometerDataFifo_Sub7

Definition at line 260 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t AccelerometerInfo_Sub0

Definition at line 230 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

SensorInfo_t AccelerometerInfo_Sub1

Definition at line 231 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

SensorInfo_t AccelerometerInfo_Sub2

Definition at line 232 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

SensorInfo_t AccelerometerInfo_Sub3

Definition at line 233 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

SensorInfo_t AccelerometerInfo_Sub4

Definition at line 234 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

SensorInfo_t AccelerometerInfo_Sub5

Definition at line 235 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

SensorInfo_t AccelerometerInfo_Sub6

Definition at line 236 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

SensorInfo_t AccelerometerInfo_Sub7

Definition at line 237 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

isf_fifo_t AltitudeDataFifo_Sub15

Definition at line 268 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t AltitudeInfo_Sub15

Definition at line 245 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

isf_fifo_t AnalogDataFifo_Sub19

Definition at line 272 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t AnalogInfo_Sub19

Definition at line 249 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

uint8 appId

Definition at line 225 of file App1_types.h.

Referenced by App1_ci_app_callback(), and App1_MainTask().

isf_fifo_t CustomDataFifo_Sub18

Definition at line 271 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t CustomInfo_Sub18

Definition at line 248 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

App1SensorData_t data

Definition at line 274 of file App1_types.h.

Referenced by App1_ci_app_callback(), and App1_MainTask().

struct { ... } fifos

Referenced by App1_GotoState(), and App1_MainTask().

isf_fifo_t GyrometerDataFifo_Sub10

Definition at line 263 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

isf_fifo_t GyrometerDataFifo_Sub11

Definition at line 264 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t GyrometerInfo_Sub10

Definition at line 240 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

SensorInfo_t GyrometerInfo_Sub11

Definition at line 241 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

struct { ... } info

Referenced by App1_ci_app_callback(), App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

struct { ... } instance

Referenced by App1_ci_app_callback(), and App1_MainTask().

isf_fifo_t MagnetometerDataFifo_Sub8

Definition at line 261 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

isf_fifo_t MagnetometerDataFifo_Sub9

Definition at line 262 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t MagnetometerInfo_Sub8

Definition at line 238 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

SensorInfo_t MagnetometerInfo_Sub9

Definition at line 239 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

isf_fifo_t OrientationDataFifo_Sub14

Definition at line 267 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t OrientationInfo_Sub14

Definition at line 244 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

semaphore_t outputBufferLock

Definition at line 227 of file App1_types.h.

Referenced by App1_ci_app_callback(), and App1_MainTask().

isf_fifo_t PedometerDataFifo_Sub16

Definition at line 269 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

isf_fifo_t PedometerDataFifo_Sub17

Definition at line 270 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t PedometerInfo_Sub16

Definition at line 246 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

SensorInfo_t PedometerInfo_Sub17

Definition at line 247 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

isf_fifo_t PressureDataFifo_Sub12

Definition at line 265 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t PressureInfo_Sub12

Definition at line 242 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

App1AppSettings_t settings

Definition at line 251 of file App1_types.h.

Referenced by App1_ci_app_callback(), App1_GotoState(), and App1_MainTask().

event_t smLWEvent

Definition at line 226 of file App1_types.h.

Referenced by App1_MainTask().

isf_fifo_t TemperatureDataFifo_Sub13

Definition at line 266 of file App1_types.h.

Referenced by App1_GotoState(), and App1_MainTask().

SensorInfo_t TemperatureInfo_Sub13

Definition at line 243 of file App1_types.h.

Referenced by App1_GotoState(), App1_MainTask(), and App1_ReturnSensorsToInit().

The documentation for this struct was generated from the following file:

- App1_types.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.